/*  */
function exp_change_input(path, sval, id) {
	var fclas = id.val(), rstr = '';
	var loary = JSON.parse(return_language_str(path, sval, '', '', ''));
	switch (fclas) {
		case 'EXCEL':
			rstr = ".<input list=\"file_exts\" style=\"width:60px;\" id=\"file_ext\" name=\"file_ext\" value=\"xlsx\" autocomplete=\"off\" placeholder=\"\">"+
					"<datalist id=\"file_exts\">"+
						"<option value=\"xlsx\"></option>"+
						"<option value=\"xls\"></option>"+
					"</datalist>";
			$('#popup_box #file_ext').closest('td').empty().append(rstr);
			$('#popup_box #file_ext').closest('tr').show();
			rstr = "<input type=\"hidden\" id=\"file_deli\" name=\"file_deli\" value=\",\">";
			$('#popup_box #file_deli').closest('td').empty().append(rstr);
			$('#popup_box #file_deli').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_wrap\" name=\"file_wrap\" value=\"1\">";
			$('#popup_box #file_wrap').closest('td').empty().append(rstr);
			$('#popup_box #file_wrap').closest('tr').hide();
			rstr = "<select id=\"file_title\" name=\"file_title\">"+
				   "<option value=\"1\">"+((loary['WORKHTMLOBJ_SHOW']) ? loary['WORKHTMLOBJ_SHOW'] : 'WORKHTMLOBJ_SHOW')+"</option>"+
				   "<option value=\"0\">"+((loary['WORKHTMLOBJ_HIDE']) ? loary['WORKHTMLOBJ_HIDE'] : 'WORKHTMLOBJ_HIDE')+"</option>"+
				   "</select>";
			$('#popup_box #file_title').closest('td').empty().append(rstr);
			$('#popup_box #file_title').closest('tr').show();
			$('#popup_box #export_table_fields').closest('tr').show();
			$('#popup_box #export_filebtn').closest('tr').show();
			break;
		case 'CSV':
			rstr = ".<input list=\"file_exts\" style=\"width:60px;\" id=\"file_ext\" name=\"file_ext\" value=\"csv\" autocomplete=\"off\" placeholder=\"\">"+
					"<datalist id=\"file_exts\">"+
						"<option value=\"csv\"></option>"+
					"</datalist>";
			$('#popup_box #file_ext').closest('td').empty().append(rstr);
			$('#popup_box #file_ext').closest('tr').show();
			rstr = "<input type=\"hidden\" id=\"file_deli\" name=\"file_deli\" value=\",\">";
			$('#popup_box #file_deli').closest('td').empty().append(rstr);
			$('#popup_box #file_deli').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_wrap\" name=\"file_wrap\" value=\"1\">";
			$('#popup_box #file_wrap').closest('td').empty().append(rstr);
			$('#popup_box #file_wrap').closest('tr').hide();
			rstr = "<select id=\"file_title\" name=\"file_title\">"+
				   "<option value=\"1\">"+((loary['WORKHTMLOBJ_SHOW']) ? loary['WORKHTMLOBJ_SHOW'] : 'WORKHTMLOBJ_SHOW')+"</option>"+
				   "<option value=\"0\">"+((loary['WORKHTMLOBJ_HIDE']) ? loary['WORKHTMLOBJ_HIDE'] : 'WORKHTMLOBJ_HIDE')+"</option>"+
				   "</select>";
			$('#popup_box #file_title').closest('td').empty().append(rstr);
			$('#popup_box #file_title').closest('tr').show();
			$('#popup_box #export_table_fields').closest('tr').show();
			$('#popup_box #export_filebtn').closest('tr').show();
			break;
		case 'TXT':
			rstr = ".<input list=\"file_exts\" style=\"width:60px;\" id=\"file_ext\" name=\"file_ext\" value=\"txt\" autocomplete=\"off\" placeholder=\"\">"+
					"<datalist id=\"file_exts\">"+
						"<option value=\"txt\"></option>"+
					"</datalist>";
			$('#popup_box #file_ext').closest('td').empty().append(rstr);
			$('#popup_box #file_ext').closest('tr').show();
			rstr = "<input type=\"text\" id=\"file_deli\" name=\"file_deli\" size=\"4\" value=\",\">";
			$('#popup_box #file_deli').closest('td').empty().append(rstr);
			$('#popup_box #file_deli').closest('tr').show();
			rstr = "<select id=\"file_wrap\" name=\"file_wrap\">"+
				   "<option value=\"1\">"+((loary['WORKHTMLOBJ_YES']) ? loary['WORKHTMLOBJ_YES'] : 'WORKHTMLOBJ_YES')+"</option>"+
				   "<option value=\"0\">"+((loary['WORKHTMLOBJ_NOT']) ? loary['WORKHTMLOBJ_NOT'] : 'WORKHTMLOBJ_NOT')+"</option>"+
				   "</select>";
			$('#popup_box #file_wrap').closest('td').empty().append(rstr);
			$('#popup_box #file_wrap').closest('tr').show();
			rstr = "<select id=\"file_title\" name=\"file_title\">"+
				   "<option value=\"1\">"+((loary['WORKHTMLOBJ_SHOW']) ? loary['WORKHTMLOBJ_SHOW'] : 'WORKHTMLOBJ_SHOW')+"</option>"+
				   "<option value=\"0\">"+((loary['WORKHTMLOBJ_HIDE']) ? loary['WORKHTMLOBJ_HIDE'] : 'WORKHTMLOBJ_HIDE')+"</option>"+
				   "</select>";
			$('#popup_box #file_title').closest('td').empty().append(rstr);
			$('#popup_box #file_title').closest('tr').show();
			$('#popup_box #export_table_fields').closest('tr').show();
			$('#popup_box #export_filebtn').closest('tr').show();
			break;
		case 'XML':
			rstr = ".<input list=\"file_exts\" style=\"width:60px;\" id=\"file_ext\" name=\"file_ext\" value=\"xml\" autocomplete=\"off\" placeholder=\"\">"+
					"<datalist id=\"file_exts\">"+
						"<option value=\"xml\"></option>"+
					"</datalist>";
			$('#popup_box #file_ext').closest('td').empty().append(rstr);
			$('#popup_box #file_ext').closest('tr').show();
			rstr = "<input type=\"hidden\" id=\"file_deli\" name=\"file_deli\" value=\",\">";
			$('#popup_box #file_deli').closest('td').empty().append(rstr);
			$('#popup_box #file_deli').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_wrap\" name=\"file_wrap\" value=\"1\">";
			$('#popup_box #file_wrap').closest('td').empty().append(rstr);
			$('#popup_box #file_wrap').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_title\" name=\"file_title\" value=\"0\">";
			$('#popup_box #file_title').closest('td').empty().append(rstr);
			$('#popup_box #file_title').closest('tr').hide();
			$('#popup_box #export_table_fields').closest('tr').show();
			$('#popup_box #export_filebtn').closest('tr').show();
			break;
		default:
			rstr = "<input type=\"hidden\" id=\"file_ext\" name=\"file_ext\" value=\"\">";
			$('#popup_box #file_ext').closest('td').empty().append(rstr);
			$('#popup_box #file_ext').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_deli\" name=\"file_deli\" value=\",\">";
			$('#popup_box #file_deli').closest('td').empty().append(rstr);
			$('#popup_box #file_deli').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_wrap\" name=\"file_wrap\" value=\"1\">";
			$('#popup_box #file_wrap').closest('td').empty().append(rstr);
			$('#popup_box #file_wrap').closest('tr').hide();
			rstr = "<input type=\"hidden\" id=\"file_title\" name=\"file_title\" value=\"0\">";
			$('#popup_box #file_title').closest('td').empty().append(rstr);
			$('#popup_box #file_title').closest('tr').hide();
			$('#popup_box #export_table_fields').closest('tr').hide();
			$('#popup_box #export_filebtn').closest('tr').hide();
			break;
	}
}